Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface OutboundConfiguration.OutboundConnectionEstablishConfig

Enclosing interface:
  OutboundConfiguration

    public static interface OutboundConfiguration.OutboundConnectionEstablishConfig

Configuration object for outbound ConnectionEstablish section. For more information about each method, see the corresponding online help for the eWay configuration editor GUI.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`boolean` | `getAlwaysCreateNewConnection()` Gets AlwaysCreateNewConnection.
`boolean` | `getAutoDisconnectConnection()` Gets AutoDisconnectConnection.
`boolean` | `isAlwaysCreateNewConnection()` Is AlwaysCreateNewConnection?
`boolean` | `isAutoDisconnectConnection()` Is AutoDisconnectConnection?
`void` | `validate()` Validates outbound ConnectionEstablish section.

Method Detail

### getAlwaysCreateNewConnection

    boolean getAlwaysCreateNewConnection()

  Gets AlwaysCreateNewConnection.

  Parameters:
    None.

  Returns:
    `boolean` - Returns AlwaysCreateNewConnection.
  Throws:
    None.

### getAutoDisconnectConnection

    boolean getAutoDisconnectConnection()

  Gets AutoDisconnectConnection.

  Parameters:
    None.

  Returns:
    `boolean` - Returns AutoDisconnectConnection.
  Throws:
    None.

### isAlwaysCreateNewConnection

    boolean isAlwaysCreateNewConnection()

  Is AlwaysCreateNewConnection?

  Parameters:
    None.

  Returns:
    `boolean` - Returns AlwaysCreateNewConnection.
  Throws:
    None.

### isAutoDisconnectConnection

    boolean isAutoDisconnectConnection()

  Is AutoDisconnectConnection?

  Parameters:
    None.

  Returns:
    `boolean` - Returns AutoDisconnectConnection.
  Throws:
    None.

### validate

    void validate()
                  throws SAGApplicationException

  Validates outbound ConnectionEstablish section.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.